POST api/cleanroomapi/add?siteId={siteId}
Request Information
URI Parameters
| Name | Description | Type | Additional information |
|---|---|---|---|
| siteId | globally unique identifier |
None. |
Body Parameters
CleanRoomViewModel| Name | Description | Type | Additional information |
|---|---|---|---|
| active | boolean |
Required |
|
| cleanroom_type_id | globally unique identifier |
Required |
|
| communication_server_id | globally unique identifier |
Required |
|
| id | globally unique identifier |
None. |
|
| local_id | integer |
Range: inclusive between 0 and ∞ |
|
| local_name | string |
None. |
|
| name | string |
Required |
|
| type_of_temperature | string |
Required |
Request Formats
application/json, text/json
Sample:
{
"active": true,
"cleanroom_type_id": "0fbeba33-0d9f-4c90-861b-b97f002c7a12",
"communication_server_id": "ce7c991f-ef39-4a39-b876-dbb5cca5b6e9",
"id": "926fddfe-24cb-4067-a1d1-2ef64ec37b88",
"local_id": 1,
"local_name": "sample string 3",
"name": "sample string 4",
"type_of_temperature": "sample string 5"
}
application/xml, text/xml
Sample:
<cleanroom xmlns:i="http://www.w3.org/2001/XMLSchema-instance" xmlns="http://schemas.datacontract.org/2004/07/EntityModel"> <active>true</active> <cleanroom_type_id>0fbeba33-0d9f-4c90-861b-b97f002c7a12</cleanroom_type_id> <communication_server_id>ce7c991f-ef39-4a39-b876-dbb5cca5b6e9</communication_server_id> <id>926fddfe-24cb-4067-a1d1-2ef64ec37b88</id> <local_id>1</local_id> <local_name>sample string 3</local_name> <name>sample string 4</name> <type_of_temperature>sample string 5</type_of_temperature> </cleanroom>
application/x-www-form-urlencoded
Sample:
Sample not available.
Response Information
Resource Description
globally unique identifierResponse Formats
application/json, text/json
Sample:
"e336a3c4-776a-4b1a-a30b-44914b788c58"
application/xml, text/xml
Sample:
<guid xmlns="http://schemas.microsoft.com/2003/10/Serialization/">e336a3c4-776a-4b1a-a30b-44914b788c58</guid>